package com.docus.server.collect.dept.http;

import com.docus.infrastructure.web.api.CommonResult;
import com.docus.server.collect.IHttpResult;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component("httpDeptResultImpl")
public class HttpDeptResultImpl implements IHttpResult {
    @Override
    public CommonResult ok(Map<String, Object> params) {
        return CommonResult.success("ok");
    }

    @Override
    public CommonResult fail(Map<String, Object> params) {
        return CommonResult.failed("fail");
    }
}
